# CircleOutlineGeometry

#### new Cesium.CircleOutlineGeometry(options)
Core/CircleOutlineGeometry.js 37

A description of the outline of a circle on the ellipsoid.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`center` | Cartesian3 |  | The circle's center point in the fixed frame.
`radius` | Number |  | The radius in meters.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid the circle will be on.
`height` | Number | `0.0` | optional The distance in meters between the circle and the ellipsoid surface.
`granularity` | Number | `0.02` | optional The angular distance between points on the circle in radians.
`extrudedHeight` | Number | `0.0` | optional The distance in meters between the circle's extruded face and the ellipsoid surface.
`numberOfVerticalLines` | Number | `16` | optional Number of lines to draw between the top and bottom of an extruded circle.

##### Throws:

- DeveloperError : radius must be greater than zero.
- DeveloperError : granularity must be greater than zero.

##### Example:

    // Create a circle.
    var circle = new Cesium.CircleOutlineGeometry({
      center : Cesium.Cartesian3.fromDegrees(-75.59777, 40.03883),
      radius : 100000.0
    });
    var geometry = Cesium.CircleOutlineGeometry.createGeometry(circle);

##### See:

- CircleOutlineGeometry.createGeometry
- Packable

### Members

#### static Cesium.CircleOutlineGeometry.packedLength : Number
Core/CircleOutlineGeometry.js 63

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.CircleOutlineGeometry.createGeometry(circleGeometry) → Geometry|undefined
Core/CircleOutlineGeometry.js 146

Computes the geometric representation of an outline of a circle on an ellipsoid, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`circleGeometry` | CircleOutlineGeometry | A description of the circle.

##### Returns:

The computed vertices and indices.

#### static Cesium.CircleOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/CircleOutlineGeometry.js 74

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | CircleOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.CircleOutlineGeometry.unpack(array, startingIndex, result) → CircleOutlineGeometry
Core/CircleOutlineGeometry.js 110

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | CircleOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new CircleOutlineGeometry instance if one was not provided.